import { request } from "@/utils/request"


/**
 * 签到 小程序
 * wx162370635292eef2 超多书币享不停 阳光签到
 * wx9ba912437abd9848 书币礼包大派送(签到)-阅文
 */
export let config = {
	appid: 'wx162370635292eef2'
}

// 获取openId
export async function getOpenId(data) {
	return request({url: `/applet/openId`, data})
}

// 获取首页信息
export async function getHome(data) {
	return request({url: `/sign/in/home`, data})
}

// 签到
export async function signInAjax(data) {
	return request({url: `/sign/in/login`, data, method: 'PUT'})
}

// 获取签到记录列表
export async function getSignList(data) {
	return request({url: `/sign/in/login/record`, data})
}


// 签到提醒
export async function setMessage(data) {
	return request({url: `/sign/in/login/remind`, data})
}

// 获取签到提醒的模板ID
export async function getTemplateIDs(data) {
	return request({url: `/sign/in/login/remind/template`, data})
}

// 书币充值失败重新领取
export async function setReClaim(data) {
	return request({url: `/sign/in/login/reClaim`, data})
}


// 开关更新
export async function switchUpdate(data) {
	return request({url: `/sign/in/login/switch/update`, data, method: 'PUT'})
}

// 获取公众号文章
export async function getUrl(data) {
	return request({url: `/applet/mp/url`, data})
}

// 获取额度列表
export async function getQuotaList(data) {
	return request({url: `/book/coin/value/list`, data})
}

// 获取余额
export async function getBalance(data) {
	return request({url: `/book/coin/total`, data})
}

// 用户体现
export async function setCoinRemove(data) {
	return request({url: `/book/coin/remove`, data})
}

// 体现记录
export async function getCoinRemoveList(data) {
	return request({url: `/book/coin/remove/list`, data})
}

// 控制接口
export async function getState(data) {
	return request({url: `/listen/music/is/tencent`, data})
}